blaze-builder-0.3.3.0: Efficient buffered output.

Safe Haskell | None

Blaze.ByteString.Builder.HTTP

Contents

- Chunked HTTP transfer encoding

Description

Support for HTTP response encoding.

TODO: Improve documentation.

Synopsis

- chunkedTransferEncoding :: Builder -> Builder
- chunkedTransferTerminator :: Builder

# Chunked HTTP transfer encoding

chunkedTransferEncoding :: Builder -> Builder Source

Transform a builder such that it uses chunked HTTP transfer encoding.

chunkedTransferTerminator :: Builder Source

The zero-length chunk '0\r\n\r\n' signaling the termination of the data transfer.